Subject: Re: [dnsext] RFC 4408 question

From: "Murray S. Kucherawy" <[email-masked]>
Date: Fri, 11 Nov 2011 23:46:43 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Olafur Gudmundsson
> Sent: Thursday, October 27, 2011 9:54 AM
> To: [email-masked]
> Subject: Re: [dnsext] RFC 4408 question
> 
> This is an real interesting question in particular if we consider it in
> the wider context of what is a "white space" in a Text-like DNS record.
> [...]
> I do not think that FWS is the right definition in the DNS context, as
> I worry what will happen to various implementation if someone wants to
> use CR/LF as a separator in SPF or TXT record :-)
> 
> As David Conrad says implementations should be able to deal with both
> as separators thus, feel free to file an errata on RFC4408 clarifying
> that "space" and "tab" are both valid separators, and nothing else.

I concur.

There is an spf-discuss mailing list already (hosted outside the IETF), and there is a fledgling effort to revise SPF spinning up as well which means there should be an IETF-hosted list popping up soon as well.  This would be great to bring up in either or both places.

-MSK